Skip to main content
GET
List datasets

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Query Parameters

expand
string

Comma-separated fields to expand. Supports selection with brackets (e.g., "createdBy,updatedBy" or "targets.company[icon,tradeName]").

Example:

"createdBy"

page_size
number
default:50

Number of items to return per page

Required range: 1 <= x <= 1000
Example:

100

start_cursor
string

Opaque cursor for pagination. Use the next_cursor from previous response.

Example:

"eyJjcmVhdGVkX3RpbWUiOiIyMDI0LTExLTE1VDEwOjAwOjAwLjAwMFoiLCJpZCI6InBhZ2VfYWJjMTIzIn0="

slug
string

Filter datasets by slug

status
enum<string>

Filter datasets by status

Available options:
draft,
active,
deprecated,
maintenance,
archived
target_type
enum<string>

Filter datasets by target type

Available options:
company,
person,
vehicle,
address,
phone,
email,
property,
lawsuit,
product
availability
enum<string>

Filter datasets by availability

Available options:
disabled,
general_availability

Full-text search over dataset name and description

filter
string

Stripe-like filter syntax. Use kind:"task" to list task datasets.

Include only featured datasets

include_hidden
boolean

Include datasets hidden by the current organization settings

provider
string[]

Filter by provider IDs

upstream
string[]

Filter by upstream IDs

categories
string[]

Filter by curated category slugs

collections
string[]

Filter by curated collection slugs

fields
string

Comma-separated optional response fields. Example: instructions

Example:

"instructions"

Response

200 - application/json

List of datasets

object
string
required
Example:

"list"

results
object[]
required
has_more
boolean
required
next_cursor
string | null
type
string